quinta-feira, 24 de outubro de 2013

ImportError: No module named pkg_resources

Se o erro "ImportError: No module named pkg_resources" aparecer no seu pinguim, é fácil resolvê-lo. Basta o instalar o pacote python-pkg-resources segundo o procedimento padrão de sua distro.

Nas derivadas de Debian e Ubuntu, basta fazer:

$ sudo apt-get install python-pkg-resources

ou

$ su -
# apt-get install python-pkg-resources

Até a próxima dica!
;-))

sábado, 19 de outubro de 2013

Configurando menu global do libreoffice no Ubuntu 13.10

Para que o menu do libreoffice integre-se com a barra superior do Unity, Ubuntu 13.04, instale o pacote libreoffice-gtk segundo o procedimento padrão para a distro:


$ sudo apt-get install libreoffice-gtk

Veja abaixo o problema:


É um buguesinho antigo que nesta versão do Ubuntu resolve-se da mesma forma que nas anteriores. Instalado o pacote, reinicie o programa que a situação estará resolvida.

Até a próxima dica!
;-))

sexta-feira, 18 de outubro de 2013

Diminua o tempo de gravação do brasero

Brasero é o gravador oficial do Unity e Gnome 3. Escrito em Gtk+, pode ser facilmente instalado em qualquer ambiente gráfico.

Ei-lo:


Com uma interface limpa e bem organizada, faz o que se propõe sem muitas perguntas, do jeito que o usuário gosta. Afinal queremos que funcione sem muita perturbação nos miolos!

Mas tanta facilidade tem um grande inconveniente: ele demora um bom tempo para gravar uma mídia, justamente porque cria um checksum a fim de ver se o resultado final é o mesmo. Se o número bater, tá tudo certo:


Dependendo do tamanho do arquivo, o checksum demora para ser calculado. E para que tem pressa, o resultado final pode fazer diferença no final do dia.

Mas podemos adiantar nosso lado desabilitando este passo. Para isso, vá em "editar -> plugins" e desmarque as opções "arquivo checksum" e "checksum da imagem":


Você ficará sem este importante recurso de segurança, mas o processo andará mais rápido. Eu nunca tive problemas. Além do mais, se necessário, a mudança pode ser revertida.

Até a próxima dica!
;-))

sexta-feira, 11 de outubro de 2013

Instalando a libdvdcss2 no Ubuntu e família

O repositório medibuntu chegou ao fim. Ele disponibilizava pacotes proprietários que o Ubuntu não podia distribuir, devido às licenças restritivas sobre reprodução de conteúdo multimídia.

Uma biblioteca muito importante que ele hospedava era a libdvdcss2, que permite visualizar dvd's encriptados. E o site videolan.org é o seu novo repositório.

Vou explicar como instalá-la a partir da libdvdread4. Então siga os passos abaixo, na ordem, no terminal:

$ cd /usr/share/doc/libdvdread4/
$ sudo ./install-css.sh

O script vai baixar e instalar o pacote "libdvdcss.deb" automaticamente. Após isso, você poderá assistir qualquer dvd encriptado no seu pingüim.

Até a próxima dica!
;-))

segunda-feira, 7 de outubro de 2013

Configurando modem 3G no KDE4

Na dica de hoje explico como instalar o modem 3G no KDE4. Uso como padrão o kubuntu, mas creio que o procedimento seja muito semelhante nas outras distros.

Em primeiro lugar, clique no applet de rede -> gerenciar conexões:



Clique na aba "banda larga móvel -> adicionar" e selecione o país e operadora de telefonia:







Agora configure as abas "Geral, Banda larga móvel, Configurações PPP e Configurações IPV4" de acordo com suas preferências ou deixe os valores default:


Libere o acesso no kdewallet, se for pedido:


Volte no applet de rede e clique no nome da conexão 3G. Espere a mesma completar-se e bom proveito: é só sair navegando!...

Até a próxima dica!
;-))

terça-feira, 1 de outubro de 2013

Ativando scroll de 2 dedos no ubuntu-gnome

Esta é facinha: para ativar o scroll de dois dedos no ubuntu-gnome, rode os comandos abaixo no terminal, na ordem, como usuário comum:

$ gsettings set org.gnome.settings-daemon.peripherals.touchpad horiz-scroll-enabled true
$ gsettings set org.gnome.settings-daemon.peripherals.touchpad scroll-method two-finger-scrolling
$ gsettings set org.gnome.settings-daemon.peripherals.touchpad natural-scroll true

Não testei mas você pode ver se funciona no Ubuntu. Na versão 13.10 não precisa. Nas anteriores eu não sei.

Até a próxima dica!
;-))